Bug 26377 - Add support for setting priorities for Threads in Mono.
Summary: Add support for setting priorities for Threads in Mono.
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: 3.8.0
Hardware: Macintosh Mac OS
: --- enhancement
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-01-23 21:23 UTC by Jon Goldberger [MSFT]
Modified: 2018-02-28 23:38 UTC (History)
6 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Jon Goldberger [MSFT] 2015-01-23 21:23:39 UTC
## Description:

Setting priorities for Threads is not implemented in Mono. See:
http://stackoverflow.com/a/13000071/2913599

and 

https://github.com/mono/mono/blob/master/mcs/class/corlib/System.Threading/Thread.cs#L615

So this is a request to implement it.
Comment 2 Zoltan Varga 2015-01-26 15:15:08 UTC
So the problem here is that it is hard to map the priorities in ThreadPriority to the actual thread priorities provided by the OS esp. osx.